static vertex_sum get_vertex_sum(ptr, do_free)
fa_vertex **ptr;
int do_free;
{
    vertex_sum sum;

    sum.delta = 0;

    while (sum.delta == 0 && *ptr !=  NIL(fa_vertex)) {
	sum.x = (*ptr)->x;
	sum.y = (*ptr)->y;
	sum.delta = fa_vertex_delta((*ptr)->type);

	if (do_free) {
	    fa_vertex *next = (*ptr)->next;
	    FREE(*ptr);
	    *ptr = next;
	} else {
	    *ptr = (*ptr)->next;
	}

	while( *ptr != NIL(fa_vertex) 
	       && (*ptr)->x == sum.x 
	       && (*ptr)->y == sum.y) {
	    sum.delta += fa_vertex_delta((*ptr)->type);
	    
	    if (do_free) {
		fa_vertex *next = (*ptr)->next;
		FREE(*ptr);
		*ptr = next;
	    } else {
		*ptr = (*ptr)->next;
	    }
	}
    }

    return (sum);
}
