typedef struct scan_point scan_point;

struct scan_point {
    fa_coord x,y;	
    int delta;	    /* the change in depth across the point,
		     * positive if right hand side is deeper.
		     */
    int r_depth;    /* depth of right-hand side */
    scan_point *next, *last;	/* double linking pointers */
};

typedef struct scan_line scan_line;

struct scan_line {
    scan_point *head, *tail;	/* pointers to the doubly linked list */
};
