#include "copyright.h"
#include "port.h"
#include "utility.h"
#include "errtrap.h"
#include "oct.h"
#include "fang.h"
#include "harpoon_int.h"

/*LINTLIBRARY*/

int harPassedStatus = 0;		/* for status codes from oct, etc. */
char harPkgName[] = "harpoon";
int harDepth = 0;
char *harRoutine = "<no routine>";

/*ARGSUSED*/
void harErrHandler(pkgName, code, message)
char *pkgName;
int code;
char *message;
{
    harDepth = 0;
    errPopHandler();
    if (pkgName == HAR_PKG_NAME) pkgName = "internal";
    errPass("(function %s) unexpected %s error: %s",
	    harRoutine, pkgName, message);
}
