
#define strsave(s)  strcpy(malloc((unsigned) strlen(s)+1),s)

#define NLE_PKG_NAME "nle"

#define NULL_STRING ""
#define STRNULL(s) (strcmp((s),NULL_STRING)==0)

#define NLE_TRUE 1
#define NLE_FALSE 0

extern void nleFatalError();
extern void nleWarning();

extern	octObject	LayerPlace; 
/***** properties *** */
extern	octObject	CellSelect;
extern  octObject	PlacementClass;
extern	octObject	Mobility;
extern  octObject       FloorplanBag; /* This is a bag */
extern	octObject	MinHeightOverWidth;
extern  octObject	MaxHeightOverWidth;
extern  octObject       FloatingEdge;
extern  octObject	TermEdge;
extern	octObject	TermType;
extern  octObject	Direction;
extern	octObject	JoinedTerms;
extern	octObject	Joined;
extern	octObject	OrderTerms;
extern	octObject	PermTerms;
extern	octObject	NetType;
extern	octObject	Criticality;

 /* OSP required properties */
extern  octObject	EditStyle;
extern  octObject	ViewType;
extern  octObject	Technology;

extern char *TermTypeString[]; 
extern char *NetTypeString[]; 


#define  VEM_MIN_FEATURE 20 
#define  DEFAULT_CRITICALITY 0

