/* map between IO and stdio, some might use IO and WFS */

#if !defined(MCC_DMS)

#define IOFILE FILE

#define IOfputs fputs
#define IOgetc getc
#define IOungetc ungetc
#define IOputc putc
#define IOfprintf fprintf
#define IOfscanf fscanf

#define IOferror ferror

#define IOfopen fopen
#define IOfflush fflush
#define IOfclose fclose

#define IOfeof feof

/* pathname delimeters */
#define PND_CHAR	'/'
#define PND_STRING	"/"

#else /* MCC_DMS is defined */

#include "dms.h"

/* this is the wrong way to do this, but until the definitions are moved from */
/* dms_internal to dms.h it has to be done like this */
#define dmsDELIMITER            '/'
#define dmsDELIMITER_STRING     "/"

/* The character used to delimited path name components. */
#define PND_CHAR	dmsDELIMITER
#define PND_STRING	dmsDELIMITER_STRING

#define IOFILE dmsWFD

#define IOfputs wioWFputs
#define IOgetc wioGetc
#define IOungetc wioUngetc
#define IOputc wioPutc
#define IOfprintf wioWFprintf
#define IOfscanf wioWFscanf

#define IOferror wioWFerror

#define IOfopen wioWFopen
#define IOfflush wioWFflush
#define IOfclose wioWFclose

#define IOfeof wioWFeof

#endif /* defined(MCC_DMS) */
