/*
 * Region searching for symbolic
 *
 * David Harrison
 * University of California, Berkeley
 * 1990
 *
 * This is the header file for the symbolic region searching functions.
 */

#ifndef _AREA_H_
#define _AREA_H_

#include "ansi.h"
#include "oct.h"

typedef struct area_dummy_defn {
    int dummy;
} *symAreaGen;

extern void symAreaInit
  ARGS((octObject *fct, octObjectMask mask, struct octBox *area,
	symAreaGen *gen));

extern int symAreaNext
  ARGS((symAreaGen gen, octObject *obj));

extern void symAreaEnd
  ARGS((symAreaGen gen));

#endif /* _AREA_H_ */
