/*
 * Group netlisting operations
 *
 * David Harrison
 * University of California, Berkeley
 * 1989
 *
 * This is the header file for a module of utility routines used to
 * perform net maintenance on groups of objects.
 */

#ifndef _GRP_H_
#define _GRP_H_

#include "ansi.h"
#include "oct.h"
#include "st.h"

extern void symCutSet
  ARGS((octObject *grp_bag, octObject *cut_set));

extern void symBreakSet
  ARGS((octObject *cut_set, octObject *grp_bag, st_table *mapping));

extern void symUnbreakSet
  ARGS((octObject *cut_set, octObject *grp_bag, st_table *mapping));

#endif /* _GRP_H_ */
