#ifndef TH_H
#define TH_H

#define TH_PKG_NAME "th"


EXTERN void thTechnology
  ARGS( (octObject *obj ));

EXTERN void thVerbose
  ARGS( (int flag ));

    
EXTERN int thGetPropInteger
  ARGS( ( char* name ) );
EXTERN double  thGetPropReal
  ARGS( ( char* name ) );
EXTERN char* thGetPropString
  ARGS( ( char* name ) );

#define  thCoordSize() thGetPropReal("COORD-SIZE")
#define  thLambda()    thGetPropInteger("LAMBDA")


EXTERN double thGetLayerPropReal
  ARGS((octObject* layer, char* name ));

EXTERN double thGetLayerLayerPropReal
  ARGS((octObject* layer1, octObject* layer2, char* name ));

EXTERN double thGetAreaCap
  ARGS((octObject* layer ));

EXTERN double thGetPerimCap
  ARGS((octObject* layer ));

EXTERN double thGetSheetResistance
  ARGS((octObject* layer ));

EXTERN double thGetSheetInductance
  ARGS((octObject* layer ));

EXTERN double thGetContactResistance
  ARGS((octObject* layer ));

EXTERN double thGetThickness
  ARGS((octObject* layer ));

EXTERN char*  thGetLayerClass
  ARGS((octObject* layer ));

#endif
