#define FA_INFINITY 2147483647

extern int fa_delta_array[];
extern fa_vertex_type fa_inverse_type[];
extern int fa_auto_merge_threshold;
extern double fa_auto_merge_factor;

#define fa_vertex_delta(type)\
    fa_delta_array[(int) type]

char *fa_print_type();
void fa_check_sort();
void fa_next_vertex();
void fa_check();
void fa_fix();
void fa_error();
void fa_init_line();
void fa_insert_point();
void fa_remove_point();
void fa_free_line();
void fa_dump_vertices();
void fa_debug_func();
void fa_rev_sort();

#define FA_SORTED	1
#define FA_MERGED	2
