#include "copyright.h"
#include "harpoon.h"

extern int harPassedStatus;
extern int harDepth;
extern char *harRoutine;
extern void harErrHandler();

#define HAR_START(name)		if (harDepth++ == 0) {			\
				    harRoutine = name;			\
				    errPushHandler(harErrHandler);	\
				}
#define HAR_END()		if (--harDepth == 0) {			\
				    errPopHandler();			\
				}

#undef OCT_ASSERT
#define OCT_ASSERT(exp)		\
    if ((harPassedStatus = (exp)) < OCT_OK) {				\
	errRaise("oct", harPassedStatus, octErrorString());		\
    }

#define HAR_NAMED_GEO	1
#define HAR_POINT_GEO	2
