/*
 * Deleting a set of objects in Symbolic
 *
 * David Harrison
 * University of California,  Berkeley
 * 1989, 1990
 *
 * New delete command implemented using new group net maintenance
 * library.  This file contains the exported definitions of the
 * package.
 */

#ifndef _DELETE_H_
#define _DELETE_H_

#include "ansi.h"

/*
 * Delete a set of objects
 */

typedef struct sym_del_item_func_defn {
    void (*func)		/* function to call */
      ARGS((octObject *item, char *data));
    char *data;			/* User data        */
} symDelItemFunc;

extern void symDeleteObjects
  ARGS((octObject *delSetBag, symDelItemFunc *del_func));

#endif /* _DELETE_H_ */
