/*LINTLIBRARY*/
#include "copyright.h"
#include "port.h"
#include "errtrap.h"
#include "oct.h"
#include "oh.h"
#include "tap.h"
#include "symlib.h"
#include "symlib_int.h"


void
symOpenFacet(facet, mode, technology)
octObject *facet;
char *mode;
char *technology;
{
    octObject prop;

    facet->type = OCT_FACET;
    facet->contents.facet.mode = mode;
    OCT_CHECK(octOpenFacet(facet));
    OCT_CHECK(ohGetOrCreatePropStr(facet, &prop, "EDITSTYLE", "SYMBOLIC"));
    OCT_CHECK(ohGetOrCreatePropStr(facet, &prop, "VIEWTYPE", "SYMBOLIC"));
    OCT_CHECK(ohGetOrCreatePropStr(facet, &prop, "TECHNOLOGY", technology));
    return;
}

    
