
#define RAISE_ERROR	errRaise(SYMLIB_PKG_NAME, SYM_ERROR, octErrorString())
  
#define OCT_CHECK(funct) \
  if (funct < OCT_OK) {  \
      RAISE_ERROR;       \
  }

#define SYM_CHECK(funct) \
  if (funct < SYM_OK) {  \
      RAISE_ERROR;	 \
  }

typedef int symStatus;

extern void sym_error_handler();
extern void sym_actual_formal_merge();
extern void sym_merge_nets(/* octObject *net1, *net2, *newnet */);
extern char sym_buffer[4096];

#define SYM_FTERMP(obj)  ((obj)->contents.term.instanceId == oct_null_id)

#define SYM_AVEX(bb) (((bb).lowerLeft.x + (bb).upperRight.x) / 2)
#define SYM_AVEY(bb) (((bb).lowerLeft.y + (bb).upperRight.y) / 2)

#define SYM_ABS(a)   ((a) > 0 ? (a) : -(a))

#define SYM_START	errPushHandler(sym_error_handler)
#define SYM_END		errPopHandler()

