/*
 * timer package
 *
 *  Rick Spickelmier
 */

#ifndef TIMER_H
#define TIMER_H

#include "ansi.h"

struct dummy_timer {
    int dummy;
};

typedef struct dummy_timer *timer;

EXTERN timer timerCreate
	NULLARGS;
EXTERN void timerReset
	ARGS((timer tm));
EXTERN void timerStart
	ARGS((timer tm));
EXTERN void timerContinue
	ARGS((timer tm));
EXTERN void timerStop
	ARGS((timer tm));
EXTERN void timerPrint
	ARGS((timer tm, FILE *fp));
EXTERN void timerFree
	ARGS((timer tm));

EXTERN double timerElapsedTime
	ARGS((timer tm));
EXTERN double timerUserTime
	ARGS((timer tm));
EXTERN double timerSystemTime
	ARGS((timer tm));

#endif /* TIMER_H */

