#include "vov.h"

main(argc, argv)
    int argc;
    char** argv;
{
    errProgramName( "vov-test" );
    VOVbegin( argc, argv );
    VOVinput( VOV_UNIX_FILE, "fin1" );
    VOVinput( VOV_UNIX_FILE, "fin1" );
    VOVinput( VOV_UNIX_FILE, "fin1" );
    VOVinput( VOV_UNIX_FILE, "fin1" );
    VOVoutput( VOV_UNIX_FILE, "/usr/tmp/foo1" );
    VOVoutput( VOV_UNIX_FILE, "/usr/tmp/foo2" );
    VOVoutput( VOV_UNIX_FILE, "/usr/tmp/foo3" );
    VOVoutput( VOV_UNIX_FILE, "/usr/tmp/foo4" );
    VOVoutput( VOV_UNIX_FILE, "/usr/tmp/foo1" );
    VOVoutput( VOV_UNIX_FILE, "/usr/tmp/foo1" );
    printf( "Sleeping 2 s\n" );
    sleep( 2 );

    if ( argc == 1 ) {
	system( "vov-test 0" );
	printf( "system call succeeded" );
    }

    VOVdelete( VOV_UNIX_FILE, "/usr/tmp/foo1" );

    otherTest();

    VOVend( 0 );
}


int otherTest()
{
    FILE *fp;


    (void) VOVoutput(VOV_UNIX_FILE, "A1");  /* polarBear */
    fp = fopen ("A1", "w");
    (void) fprintf (fp, "yabba dabba do\n");
    (void) fclose (fp);

    (void) VOVinput(VOV_UNIX_FILE, "A1");   /* koalaBear */
    fp = fopen ("A1", "r");
    (void) fclose (fp);

    (void) VOVoutput(VOV_UNIX_FILE, "A2");  /* koalaBear */
    fp = fopen ("A2", "w");
    (void) fprintf (fp, "apple jack\n");
    (void) fclose (fp);

    (void) VOVdelete(VOV_UNIX_FILE, "A1");

    (void) VOVinput(VOV_UNIX_FILE, "A2");   /* polarBear */
    fp = fopen ("A2", "r");
    (void) fclose (fp);

    (void) VOVdelete(VOV_UNIX_FILE, "A2");

    return 0;
}


